\renewcommand{\familydefault}{\sfdefault}
\usepackage[utf8]{inputenc}
\usepackage[a4paper]{geometry}
\geometry{verbose}
\setlength{\parskip}{\medskipamount}
\setlength{\parindent}{0pt}
\usepackage{color}
\usepackage{babel}
%\usepackage{refstyle}
\usepackage{wrapfig}
\usepackage{amsmath}
\usepackage{mathtools}
\usepackage{graphicx}
%\usepackage[unicode=true,
%bookmarks=false,
%breaklinks=false,pdfborder={0 0 1},backref=false,colorlinks=true]
%{hyperref}
%\hypersetup{
%	allcolors=blue}



\makeatletter

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% LyX specific LaTeX commands.
\usepackage{float}
\floatstyle{ruled}
\newfloat{algorithm}{tbp}{loa}
\providecommand{\algorithmname}{Algorithm}
\floatname{algorithm}{\protect\algorithmname}

%\AtBeginDocument{\providecommand\subsecref[1]{\ref{subsec:#1}}}
%\RS@ifundefined{subsecref}
%{\newref{subsec}{name = \RSsectxt}}
%{}
%\RS@ifundefined{thmref}
%{\def\RSthmtxt{theorem~}\newref{thm}{name = \RSthmtxt}}
%{}
%\RS@ifundefined{lemref}
%{\def\RSlemtxt{lemma~}\newref{lem}{name = \RSlemtxt}}
%{}
%\makeatother

%% User specific latex commands


\newcommand{\lyxdot}{.}
%\usepackage{fancyhdr}



% Set page size and margins
% Replace `letterpaper' with `a4paper' for UK/EU standard size


% Useful packages
\usepackage{graphicx}
\usepackage{embedfile}
\usepackage{hypgotoe}
\usepackage{bbold}

\usepackage[shortlabels]{enumitem}
\setlist[itemize]{itemsep=0cm}


% Change comments in PDF notes
\usepackage{pdfcomment}
\usepackage{environ}
\usepackage{xcolor}
% overwrite comment environment from lyx.
\ifdefined\comment
\RenewEnviron{comment}{\pdfcomment[author={Leo Kappler},subject={TODOs},color=red!60]{\BODY}}
\else
\NewEnviron{comment}{\pdfcomment[author={Leo Kappler},subject={TODOs},color=red!60]{\BODY}}
\fi




% command redefinitions / alterations
\newlength\tindent
\setlength{\tindent}{\parindent}

\renewcommand{\indent}{\hspace*{\tindent}}


\usepackage{csquotes}

\AddToHook{package/biblatex/after}{%
	%\addbibresource{literatur.bib}
	% from https://tex.stackexchange.com/questions/464198/biblatex-change-last-visited
	\DefineBibliographyStrings{english}{% <==================================
		urlseen = {visited at}            % <==================================
	}
	\DeclareFieldFormat{urldate}{\bibstring{urlseen}\space#1} % <============
	
	% make et al. italic
	% https://tex.stackexchange.com/questions/40798/how-do-i-get-et-al-to-appear-in-italics-when-using-textcite-or-citeauthor-w
	\renewbibmacro*{name:andothers}{% Based on name:andothers from biblatex.def
		\ifboolexpr{
			test {\ifnumequal{\value{listcount}}{\value{liststop}}}
			and
			test \ifmorenames
		}
		{\ifnumgreater{\value{liststop}}{1}
			{\finalandcomma}
			{}%
			\andothersdelim{\bibstring[\emph]{andothers}}
		}
		{}
	}
}






\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsfonts,dsfont}
\usepackage[]{graphicx} %draft
\usepackage[fit]{truncate}
\usepackage{mathrsfs}
\usepackage[T1]{fontenc}
\usepackage{upgreek}
\usepackage{textcomp}
\usepackage{type1cm,type1ec}
\usepackage{xcolor,fancybox,colortbl}
%\usepackage[american]{babel}
\usepackage{caption}
\usepackage{listings}
\usepackage{lineno}
\usepackage{algpseudocode}
\usepackage{algorithm}
\usepackage{multirow}
\usepackage{blkarray}
\usepackage{dsfont}
\usepackage{ifthen}
\usepackage{qcircuit}
\usepackage{verbatim}
\usepackage{booktabs}
\usepackage{url}
\usepackage{bookmark}
\usepackage{subcaption}
\usepackage{bm} % for bold font in math environment via \bm
\usepackage{bbm, bbold}
\usepackage{enumitem}
%\usepackage{siunitx}
\usepackage{morefloats}
\usepackage{rotating}
\usepackage[customcolors]{hf-tikz} % want this to have colored blkarray rows and cols
\usepackage{xkeyval}
\usepackage{moreverb}
\usepackage{grffile}
\usepackage{braket}
\usepackage[framemethod=TikZ]{mdframed}
%\usepackage{hyperref}
\usepackage[nameinlink,capitalize]{cleveref}
% \usepackage{algorithmic}

%% Combination of hyperref and algpseudocode don't like each other,
%% fix this here.
% \makeatletter
% \newcounter{algorithmicH}% New algorithmic-like hyperref counter
% \let\oldalgorithmic\algorithmic
% \renewcommand{\algorithmic}{%
	%   \stepcounter{algorithmicH}% Step counter
	%   \oldalgorithmic}% Do what was always done with algorithmic environment
% \renewcommand{\theHALG@line}{ALG@line.\thealgorithmicH.\arabic{ALG@line}}
% \makeatother

%% TikZ configuration
\usepackage{calc}
\usepackage{pgf}
\usepackage{tikz}
\tikzset{>=stealth}
\usepackage{pgffor}
\usepackage{pgfplots}
\pgfplotsset{compat=1.8}
\usepackage{pgfplotstable}
\usepgfplotslibrary{groupplots}
\usepgfplotslibrary{fillbetween}
\usepgfplotslibrary{patchplots}
\usetikzlibrary
{
	calc,
	decorations,
	plotmarks,
	patterns,
	positioning,
	petri,
	arrows,
	intersections,
	decorations.markings,
	backgrounds,
	fit,
	matrix,
	graphs,
	shapes.geometric,
	decorations.pathreplacing, 
	decorations.pathmorphing,
	shapes.misc,
	shapes.multipart,
	shapes,
	through,
	tikzmark,
	arrows.meta
}
\tikzstyle{ghostA} = [text=red!70,thick, minimum size=2*(5pt-\pgflinewidth), inner sep=0pt, outer sep=0pt]
\tikzstyle{ghostB} = [text=blue!70,thick, minimum size=2*(5pt-\pgflinewidth), inner sep=0pt, outer sep=0pt]
\tikzstyle{siteA} = [regular polygon, regular polygon sides=3, shape border rotate= 30, draw=red!50,fill=red!20,thick,inner sep=0pt,minimum width=1.5em,font=\footnotesize]
\tikzstyle{siteB} = [regular polygon, regular polygon sides=3, shape border rotate= -30, draw=green!50,fill=green!20,thick,inner sep=0pt,minimum width=1.5em,font=\footnotesize]
\tikzstyle{op} = [regular polygon, regular polygon sides=4, draw=orange!50, fill=orange!20, thick, inner sep=0.2pt, minimum width=1.25em, minimum height=1.5em,font=\footnotesize]
\tikzstyle{site} = [circle,draw=blue!50,fill=blue!20,thick,inner sep=0.2pt,minimum width=1.25em,font=\footnotesize]
\tikzstyle{nosite} = [circle,draw=white,fill=white,thick,inner sep=0.1pt,minimum width=1.5em]
\tikzstyle{ghost} = []
\tikzstyle{intersite} = [regular polygon, regular polygon sides=4, shape border rotate= 45, draw=black!50,fill=black!20,thick,inner sep=0pt,minimum width=1.5em]
\tikzstyle{ld} = [inner sep=1pt, font=\small]
%
%	[
%		site/.style={circle,draw=blue!50,fill=blue!20,thick,minimum width=1.4cm,inner sep=0.5pt},
%		siteA/.style={regular polygon, regular polygon sides=3, shape border rotate= 30, draw=red!50,fill=red!20,thick,inner sep=0.0pt,minimum width=0em},
%		siteB/.style={regular polygon, regular polygon sides=3, shape border rotate= -30, draw=green!50,fill=green!20,thick,inner sep=0.0pt,minimum width=0em},
%		ghost/.style={circle,thick}
%	]

\tikzset{->-/.style={decoration={
			markings,
			mark=at position .5 with {\arrow{>}}},postaction={decorate}}}
\tikzset{->-rc/.style={decoration={
			markings,
			mark=at position .5 with {\arrow{>}}},postaction={decorate},rounded corners}}

\tikzset{
	-|-/.style={
		to path={
			(\tikztostart) -| ($(\tikztostart)!#1!(\tikztotarget)$) |- (\tikztotarget)
			\tikztonodes
		}
	},
	-|-/.default=0.5,
	|-|/.style={
		to path={
			(\tikztostart) |- ($(\tikztostart)!#1!(\tikztotarget)$) -| (\tikztotarget)
			\tikztonodes
		}
	},
	|-|/.default=0.5,
}

\newboolean{buildtikzpics}
\setboolean{buildtikzpics}{false}
\newboolean{nopreprintline}
\setboolean{nopreprintline}{true}
\newif\ifrebuildtikz
\newif\ifChangeMode
\ChangeModetrue
\ChangeModefalse
\ifthenelse{\boolean{buildtikzpics}}
{
	\rebuildtikztrue
	\usetikzlibrary{external}
	\tikzexternalize[optimize=false,prefix=figures/autogen/]%,mode=list and make]
}
{
	\rebuildtikzfalse
}
\definecolor{colorA}{rgb} {0.58,0,0.8275}
\definecolor{colorB}{rgb} {0.11,0.663,0.51}
\definecolor{colorC}{rgb} {0.3373,0.7059,0.9137}
\definecolor{colorD}{rgb} {0.902,0.6235,0}
\definecolor{colorE}{rgb} {0.9451,0.902,0.3255}
\definecolor{lgrey}{gray}{.9}

%% convenience helpers
\newcommand{\todo}[1]{\textbf{\color{red}{[#1]}}}

\usepackage{ulem}
\usepackage{nicefrac}
\normalem

%% Math helpers
\newcommand{\nodagger}[0]{{\phantom{\dagger}}}
\newcommand{\noprime}[0]{{\phantom{\prime}}}
\newcommand{\pprime}[0]{{\prime\prime}}
\DeclareMathOperator*{\argmin}{arg\,min}
\DeclareMathOperator*{\Var}{Var}
\newcommand{\I}{\ensuremath{\mathrm{i}\mkern1mu}}
\newcommand{\E}{\ensuremath{\mathrm{e}}}
\DeclareMathOperator{\Tr}{Tr}
\DeclareMathOperator{\Real}{Re}
\DeclareMathOperator{\rk}{rk}
\newcommand{\wii}{\ensuremath{W^{\mathrm{II}}} }
\newcommand{\wiii}{\ensuremath{W^{\mathrm{I,II}}} }
\newcommand{\sytenimg}{\includegraphics[width=2em]{./syten-without-text} }
\newcommand{\syten}{\textsc{SyTen}}
\newcommand{\scipal}{\textsc{SciPal}}
\newcommand{\overbar}[1]{\mkern 1.5mu\overline{\mkern-1.5mu#1\mkern-1.5mu}\mkern 1.5mu}
\newcommand{\legdist}{0.05}
\newcommand{\id}{\ensuremath{\mathbf{\hat 1}}}
\newcommand{\numexamples}{four}
\makeatletter
\newcommand{\vast}{\bBigg@{3}}
\makeatother



% additions from Leo:
\definecolor{MPScolor}{HTML}{A0D7E4}


%define \subsecref that lyx uses
\ifdefined\subsecref
\renewcommand{\subsecref}[1]{\cref{subsec:#1}} % probably running in lyx
\else
\newcommand{\subsecref}[1]{\cref{subsec:#1}} % probably running in combined pdf.
\fi

\renewcommand{\eqref}[1]{\cref{eq:#1}} % probably running in lyx
\AtBeginDocument{\renewcommand{\ref}[1]{\cref{#1}}}

